Subject: bug#7918: [PATCH] cc-mode: only the first clause of a for-loop should be checked for declarations

From: [email-masked]
Date: Mon, 03 Jul 2017 15:46:00 -0400

Glenn Morris <[email-masked]> writes:

> [email-masked] wrote:
>
>>> Bug fixed in master branch.
>>
>> I can confirm it's fixed in master (I wonder why the bug was reopened,
>> apparently automatically?)
>
> Nothing gets reopened automatically. I agree that sometimes debbugs
> doesn't report the details of control requests in an informative way.
> In this case, the bug was reopened in May 2016 (by Alan, from internal
> logs). You'd have to ask him why.
>
> http://lists.gnu.org/archive/html/emacs-bug-tracker/2016-05/msg00126.html

Oh, I was looking at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=7918;msg=32.  So all those
"fake control message" things are just the original control request
getting lost somehow?

Ccing Alan, please reopen if I made a mistake by closing this.